Last Comment Bug 422757 - mark all read Keyboard shortcuts are different on Linux and Windows even though they don't need to anymore
: mark all read Keyboard shortcuts are different on Linux and Windows even thou...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: Thunderbird 3.0a3
Assigned To: Magnus Melin
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 13:26 PDT by Bob Lord
Modified: 2008-11-14 11:37 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (4.69 KB, patch)
2008-08-23 06:49 PDT, Magnus Melin
philringnalda: review+
neil: superreview+
Details | Diff | Splinter Review

Description Bob Lord 2008-03-13 13:26:01 PDT
I switch between Linux and Windows (and sometimes OSX) on a regular basis.  I also like to do things like mark all mail in an IMAP folder as "read".  On Linux, that keyboard shortcut is "Control-C", but on Windows it's "Control-Shift-C".

I'd like to request that we make them the same.

This is probably a religious issue so I'll put on my flame retardant suit now... :-)
Comment 1 Magnus Melin 2008-03-31 01:58:47 PDT
Not so much religion. Basically due to bug 269228 I think, but that shouldn't be an issue anymore

<http://lxr.mozilla.org/seamonkey/source/mailnews/base/resources/content/unix/platformMailnewsOverlay.xul#17>
Comment 2 Bob Lord 2008-08-20 20:24:48 PDT
Anyone have an update on this one?
Comment 3 Magnus Melin 2008-08-21 09:49:58 PDT
I'll take this.
Comment 4 Magnus Melin 2008-08-23 06:49:27 PDT
Created attachment 335171 [details] [diff] [review]
proposed fix

For thunderbird, just need to revert bug 239483.
SeaMonkey seem to have a different approach, through bug 250005.

Since it was only a workaround in the first place and GTK2.9-> has changed to only reserve ctrl-shift-u (according to bug 311756 comment 35), we can now just switch to use the same shortcut on all platforms.
Comment 5 neil@parkwaycc.co.uk 2008-08-23 08:46:03 PDT
Comment on attachment 335171 [details] [diff] [review]
proposed fix

Thanks for fixing help too!
Comment 6 Magnus Melin 2008-08-28 08:45:03 PDT
changeset:   208:c05edc316cd8
http://hg.mozilla.org/comm-central/index.cgi/rev/c05edc316cd8

->FIXED
Comment 7 Bob Lord 2008-08-30 10:34:36 PDT
Magnus, I'm so sorry to do this to you, but I just switched to the Mac and realized that the keyboard shortcuts for the Mac are still the three-character chord (shift-command-c) rather than just command-c.  Is it possible (and "correct" on the Mac) to make this change also?
Comment 8 Magnus Melin 2008-08-30 10:43:44 PDT
Er, the fix was to remove the linux specific shift-c since it was added just of technical necessity. Now all three platforms use the Ctrl+Shift+C (or Cmd+Shift+C) combo.
Comment 9 Bob Lord 2008-08-30 10:45:27 PDT
Well, consistency is good.  I don't really care all that much.  Go ahead and close it out and work on something more important. ;-)
Comment 10 J.O. Aho 2008-11-14 11:37:24 PST
It's good to read that this is fixed in Seamonkey2, I never understood why this had to do, I never had problems with the Ctrl-Shift-C in first place, I even patched Seamonkey back to use the right key combination, the development team should have been pushing more on the gtk2/gnome2 bunch to fix the problem as it was where it was or done something I hade liked even more switched to QT instead, sad that the trolltech guy's didn't continue to do their work, it's always nicer when application matches the desktop environment, just don't like when buttons on popup windows are wrongly placed.

Note You need to log in before you can comment on or make changes to this bug.